###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: rgmanager
Version: 2.0.38
Release: 2%{?dist}.2
License: GPL,LGPL
Group: System Environment/Base
Summary: Open Source HA Resource Group Failover for Red Hat Enterprise Linux
Requires: chkconfig initscripts glibc ncurses libxml2 bash grep sed gawk
Requires: cman >= 2.0.71-1
Requires: net-tools mount /sbin/findfs /bin/bash
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Provides: rgmanager
Obsoletes: clumanager
BuildRequires: glibc-devel ncurses-devel libxml2-devel /bin/grep
BuildRequires: cman-devel slang-devel
#ExclusiveArch: %{ix86} x86_64
Source: %{name}-%{version}.tar.gz
Patch1: rgmanager-1.9.31-norun.patch
Patch2: bz435795.patch
Patch3: bz459754.patch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
%description
Red Hat Resource Group Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime.

%prep
%setup -q
%patch1 -p1 -b .norun
%patch2 -p2 -b .bz435795
%patch3 -p2 -b .bz459754

%build
./configure --kernel_src=/usr/src/kernels/2.6.16-1.2236_FC6-i686/

sed -i '/RELEASE_MAJOR/s/= .*/= %version/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= %release/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rgmanager

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del rgmanager
fi

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING errors.txt
%{_mandir}/*/*
/usr/sbin/
/usr/share/cluster
%config /etc/rc.d/init.d/rgmanager

%changelog
* Mon Nov 17 2008 Chris Feist <cfeist@redhat.com> - 2.0.38-2.el5_2.2
- Rgmanager now properly waits for fence domain join on startup.
- Resolves: rhbz#471415

* Tue May 20 2008 Chris Feist <cfeist@redhat.com> - 2.0.38-2.el5_2.1
- Sybase failover agent now works properly after removing DOS formatting.
- Resolves: rhbz#446541

* Thu Mar 27 2008 Chris Feist <cfeist@redhat.com> - 2.0.38-1
- Leaving out the VG name paramater to 'vgchange --deltag' no longer
  causes the tag to be removed from all VGs.
- Resolves: rhbz#438816

* Mon Mar 24 2008 Chris Feist <cfeist@redhat.com> - 2.0.37-1
- A bug was fixed which caused incorrect return codes during service stop
  operations.
- Resolves: rhbz#432998

* Mon Feb 04 2008 Chris Feist <cfeist@redhat.com> - 2.0.36-1
- Allow restart counters to work with central processing
- Resolves: rhbz#400211

* Thu Jan 17 2008 Chris Feist <cfeist@redhat.com> - 2.0.35-1
- A migrate-to-self with vm's is not not allowed
- Resolves: rhbz#430272

* Thu Jan 17 2008 Chris Feist <cfeist@redhat.com> - 2.0.34-1
- Extraneous errors in during HA lvm operations have been fixed
- Oracle 10g Release 2 resource agent is now included
- Resolves: rhbz#428346 rhbz#349571

* Mon Jan 14 2008 Chris Feist <cfeist@redhat.com> - 2.0.33-1
- Samba shares may now be mounted from the netfs resource agent
- clulog now honors rgmanager log levels
- Fixed a crash on restart bug
- Default migration policy is now live (from paused)
- Restart counters have been implemented
- Stopping a service using a shared GFS resource no longer umounts GFS if
  other services are using it
- HA LVM now allows multiple LVs/VGs as long as they move together
- Resolves: rhbz#289501 rhbz#303981 rhbz#345871 rhbz#247139 rhbz#254111 rhbz#427378 rhbz#428448

* Thu Jan 03 2008 Chris Feist <cfeist@redhat.com> - 2.0.32-1
- Mounting samba shares are now supported.
- clulog now honors cluster configuration specification of log levels in
  all cases.
- clusvcadm man page has been updated
- Default virtual machine migration is now live (-l)
- It is now possible to fail over a service have a specified number of restarts
- rgmanager no longer umounts shared gfs partitions when it is used by other
  services
- Resolves: rhbz#250681 rhbz#289501 rhbz#303981 rhbz#324151 rhbz#345871 rhbz#400211 rhbz#254111

* Tue Sep 25 2007 Chris Feist <cfeist@redhat.com> - 2.0.31-1
- Failed resources and their dependencies are restarted instead of the whole
  service
- Resolves: rhbz#229650

* Wed Aug 15 2007 Chris Feist <cfeist@redhat.com> - 2.0.29-1
- Virtual machines are no longer restarted when adding as a managed service
- Made rgmanager compatible with new libdlm
- Fixed an error which would cause a node to shutdown if you shutdown while
  processing a relocation request
- A deadlock was fixed when doing lots of service relocations
- Resolves: rhbz#248727 rhbz#249758 rhbz#247291 rhbz#249314

* Wed Jan 17 2007 Chris Feist <cfeist@redhat.com> - 2.0.23-1
- New upstream sources.
- Resolves: rhbz#222961

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> - 2.0.22-1
- New upstream sources.
- Resolves: rhbz#222485

* Mon Dec 18 2006 Chris Feist <cfeist@redhat.com> - 2.0.21-1
- New upstream sources.
- Resolves: rhbz#218697

* Thu Dec 14 2006 Chris Feist <cfeist@redhat.com> - 2.0.20-1
- New upstream sources.
- Resolves: rhbz#216774

* Tue Nov 28 2006 Chris Feist <cfeist@redhat.com> - 2.0.17-4
- New upstream sources.
- Resolves: rhbz#213878

* Mon Oct 16 2006 Chris Feist <cfeist@redhat.com> - 2.0.13-1
- New upstream sources.

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.11-1
- Added dist tag.

* Mon Oct 09 2006 Chris Feist <cfeist@redhat.com> - 2.0.9-1
- Rebuilt with new upstream sources.

* Wed Sep 27 2006 Chris Feist <cfeist@redhat.com> - 2.0.8-1
- Rebuilt with new upstream sources.

* Mon Sep 15 2006 Chris Feist <cfeist@redhat.com> - 2.0.7-1
- Rebuilt with new upstream sources.

* Wed Sep 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.6-1
- Rebuilt with new upstream sources.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.0-0.fc6.5.1
- rebuild

* Tue Jun 13 2006 Chris Feist <cfeist@redhat.com> - 2.0.0-0.fc6.4
- Built for fc6

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.9.44-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 16 2005 Chris Feist <cfeist@redhat.com>
- Rebuilt with new upstream sources.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri May 05 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file.

* Thu May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Tue Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.4
- Build against latest set of libs and update sources.

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.3
- Build against latest set of libs and update sources.

* Tue Aug 17 2004 Jon Brassow <jbrassow@redhat.com> 1.9.2-2
- Build against latest set of libs.

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.2-1
- Fix up specfile

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.1-1
- Work around bug in VF code with sledgehammer approach

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.0-1
- Initial build.
